Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class PaintEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.ComponentEvent
                        |
                        +--java.awt.event.PaintEvent

All Implemented Interfaces:
  Serializable

public class PaintEvent
extends ComponentEvent

The component-level paint event. This event is a special type which is used to ensure that paint/update method calls are serialized along with the other events delivered from the event queue. This event is not designed to be used with the Event Listener model; programs should continue to override paint/update methods in order render themselves properly.

Since:
  1.1
See Also:
  Serialized Form

Field Summary
`static int` | `PAINT` The paint event type.
`static int` | `PAINT_FIRST` Marks the first integer id for the range of paint event ids.
`static int` | `PAINT_LAST` Marks the last integer id for the range of paint event ids.
`static int` | `UPDATE` The update event type.

Fields inherited from class java.awt.event.ComponentEvent
`COMPONENT_FIRST, COMPONENT_HIDDEN, COMPONENT_LAST, COMPONENT_MOVED, COMPONENT_RESIZED, COMPONENT_SHOWN`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PaintEvent(Component source, int id, Rectangle updateRect)` Constructs a PaintEvent object with the specified source component and type.

Method Summary
`Rectangle` | `getUpdateRect()` Returns the rectangle representing the area which needs to be repainted in response to this event.
`String` | `paramString()` Returns a parameter string identifying this event.
`void` | `setUpdateRect(Rectangle updateRect)` Sets the rectangle representing the area which needs to be repainted in response to this event.

Methods inherited from class java.awt.event.ComponentEvent
`getComponent`

Methods inherited from class java.awt.AWTEvent
`consume, finalize, getID, isConsumed, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PAINT_FIRST

    public static final int PAINT_FIRST

  Marks the first integer id for the range of paint event ids.

### PAINT_LAST

    public static final int PAINT_LAST

  Marks the last integer id for the range of paint event ids.

### PAINT

    public static final int PAINT

  The paint event type.

### UPDATE

    public static final int UPDATE

  The update event type.

Constructor Detail

### PaintEvent

    public PaintEvent(Component source,
                      int id,
                      Rectangle updateRect)

  Constructs a PaintEvent object with the specified source component and type.
  Parameters:
    `source` - the object where the event originated
    `id` - the event type
    `updateRect` - the rectangle area which needs to be repainted

Method Detail

### getUpdateRect

    public Rectangle getUpdateRect()

  Returns the rectangle representing the area which needs to be repainted in response to this event.

### setUpdateRect

    public void setUpdateRect(Rectangle updateRect)

  Sets the rectangle representing the area which needs to be repainted in response to this event.
  Parameters:
    `updateRect` - the rectangle area which needs to be repainted

### paramString

    public String paramString()

  Description copied from class: `ComponentEvent`
  Returns a parameter string identifying this event. This method is useful for event-logging and for debugging.
  Overrides:
    `paramString` in class `ComponentEvent`
  Following copied from class: `java.awt.event.ComponentEvent`
  Returns:
    a string identifying the event and its attributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.